MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025812Open CASCADE[OCCT] OCCT:Application Frameworkpublic2015-02-10 14:512016-12-09 16:39
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one
DescriptionCDF_Application::ReaderFromFormat method use dynamic loading mechanism by means of Plugin::Load method.

It's required to avoid this approach and use dynamic-link one
Steps To ReproduceRemove content of src/StdResource and/or undefine environment variable CSF_PluginDefaults, and run tests
Additional information
and documentation updates
Old dynamic loading mechanism of OCAF persistence based on usage of resource files is replaced by ordinary dynamic-link one.
Now before using of persistence methods Application should take care to create explicitly corresponding Storage & Retrieval drivers supporting the specified document format. This task can be performed by static method Load () of the package supporting corresponding format. For example to build drivers supporting 'BinOcaf' document format it is necessary to call BinDrivers::Load () method. All created instances of drivers are kept in MapOfDrivers from CDM (which is DataMap) defined by Application instance.

Modified units.
CDM unit:
CDM.cdl
CDM_Application.cdl
CDM_Application.cxx
CDM_Document.cdl
CDM_Document.cxx

CDF unit:
CDF_Application.cdl
CDF_Application.cxx
CDF_FWOSDriver.cdl
CDF_FWOSDriver.cxx
CDF_Session.cxx
CDF_Store.cdl
CDF_Store.cxx
CDF_StoreList.cxx

PCDM unit:
PCDM.cdl
PCDM.cxx
PCDM_RetrievalDriver.cdl
PCDM_RetrievalDriver.cxx
PCDM_StorageDriver.cdl
PCDM_StorageDriver.cxx

TDocStd unit:
TDocStd_Document.cxx

DDocStd unit:
DDocStd_ApplicationCommands.cxx

TKDCAF unit:
EXTERNLIB

BinDrivers unit:
BinDrivers.cdl
BinDrivers.cxx
BinDrivers_DocumentRetrievalDriver.cdl
BinDrivers_DocumentRetrievalDriver.cxx
BinDrivers_DocumentStorageDriver.cdl
BinDrivers_DocumentStorageDriver.cxx

BinLDrivers unit:
BinLDrivers.cdl
BinLDrivers.cxx
BinLDrivers_DocumentRetrievalDriver.cdl
BinLDrivers_DocumentRetrievalDriver.cxx
BinLDrivers_DocumentStorageDriver.cdl
BinLDrivers_DocumentStorageDriver.cxx

BinTObjDrivers unit:
BinTObjDrivers.cxx
BinTObjDrivers.hxx
BinTObjDrivers_DocumentRetrievalDriver.cxx
BinTObjDrivers_DocumentRetrievalDriver.hxx
BinTObjDrivers_DocumentStorageDriver.cxx
BinTObjDrivers_DocumentStorageDriver.hxx

BinXCAFDrivers unit:
BinXCAFDrivers.cdl
BinXCAFDrivers.cxx
BinXCAFDrivers_DocumentRetrievalDriver.cdl
BinXCAFDrivers_DocumentRetrievalDriver.cxx
BinXCAFDrivers_DocumentStorageDriver.cdl
BinXCAFDrivers_DocumentStorageDriver.cxx

XmlDrivers unit:
XmlDrivers.cdl
XmlDrivers.cxx
XmlDrivers_DocumentRetrievalDriver.cdl
XmlDrivers_DocumentRetrievalDriver.cxx
XmlDrivers_DocumentStorageDriver.cdl
XmlDrivers_DocumentStorageDriver.cxx

XmlLDrivers unit:
XmlLDrivers.cdl
XmlLDrivers.cxx
XmlLDrivers_DocumentRetrievalDriver.cdl
XmlLDrivers_DocumentRetrievalDriver.cxx
XmlLDrivers_DocumentStorageDriver.cdl
XmlLDrivers_DocumentStorageDriver.cxx

XmlTObjDrivers unit:
XmlTObjDrivers.cxx
XmlTObjDrivers.hxx
XmlTObjDrivers_DocumentRetrievalDriver.cxx
XmlTObjDrivers_DocumentRetrievalDriver.hxx
XmlTObjDrivers_DocumentStorageDriver.cxx
XmlTObjDrivers_DocumentStorageDriver.hxx

XmlXCAFDrivers unit:
XmlXCAFDrivers.cdl
XmlXCAFDrivers.cxx
XmlXCAFDrivers_DocumentRetrievalDriver.cdl
XmlXCAFDrivers_DocumentRetrievalDriver.cxx
XmlXCAFDrivers_DocumentStorageDriver.cdl
XmlXCAFDrivers_DocumentStorageDriver.cxx




TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023639closedapn Open CASCADE Exception on attempt to save to XmlOcaf format 
related to 0024925closedapn Community Enabling OCAF persistence without setting environment variables 
related to 0026491closedabv Open CASCADE Incorrect OCAF format management 
child of 0024927closedbugmaster Open CASCADE Getting rid of old "Persistent" functionality 

-  Notes
(0037287)
git (administrator)
2015-02-10 14:56

Branch CR25812 has been created by dln.

SHA-1: f00663888162b1b0b6908298155b0744bb253c37


Detailed log of new commits:

Author: dln
Date: Tue Feb 10 14:03:50 2015 +0300

    Usage of classes from "TKTDocStd" toolkit removed from some classes of "TKXCAF" toolkit to break the cyclic dependencies of libraries

Author: dln
Date: Thu Feb 5 15:57:07 2015 +0300

    "DDocStd", "DNaming" and "DPrsStd" package from "TKDCAF" toolkit moved to the new "TKDDocStd" toolkit to avoid a cyclic dependencies of libraries

Author: dln
Date: Thu Feb 5 09:04:58 2015 +0300

    "XCAFApp" package from "TKXCAF" toolkit moved to the new "TKXCAFApp" toolkit and "AppStd" package from "TKCAF" toolkit moved to the "TKTDocStd" toolkit to avoid a cyclic dependencies of libraries

Author: dln
Date: Tue Feb 3 09:35:27 2015 +0300

    "TDocStd" and "AppStdL" packages from "TKLCAF" toolkit moved to the new "TKTDocStd" toolkit to avoid a cyclic dependencies of libraries

Author: dln
Date: Mon Feb 2 15:49:16 2015 +0300

    "CDM","PCDM", "UTL" and "LDOM" packages from "TKCDF" toolkit moved to the new "TKCDM" toolkit to avoid a cyclic dependencies of libraries

Author: dln
Date: Tue Jan 27 13:43:04 2015 +0300

    Plugin system removed from classes of BinXCAF format
    - Factory(..) method replaced by two methods Reader(..) and Writer(..) in BinXCAFDrivers
    - call Reader(..) method directly from CDF_Application::RederFromFormat(..)
(0037289)
dln (developer)
2015-02-10 15:34

To move from dynamic loading mechanism of libraries to dynamic-link one following work was done:

- For "BinXCAF" format "Factory(..)" method was replaced by "Reader(..)" and "Writer(..)" methods ("BinXCAFDrivers" class) that should be called in CDF_Application class (instead of Plugin::Load() method);

- There are appeared a cyclic dependencies problems between libraries.
  The next changes were done to fix this problems:

    * "CDM","PCDM", "UTL" and "LDOM" packages from "TKCDF" toolkit moved to the new "TKCDM" toolkit
    * "TDocStd" and "AppStdL" packages from "TKLCAF" toolkit moved to the new "TKTDocStd" toolkit
    * "XCAFApp" package from "TKXCAF" toolkit moved to the new "TKXCAFApp" toolkit and "AppStd" package from "TKCAF" toolkit moved to the "TKTDocStd" toolkit
    * "DDocStd", "DNaming" and "DPrsStd" package from "TKDCAF" toolkit moved to the new "TKDDocStd" toolkit
    * Usage of classes from "TKTDocStd" toolkit removed from some classes of "TKXCAF" toolkit

A some cyclic dependencies between libraries are not fixed at this moment: (TKBinL --> TKTDocStd --> TKCDF --> TKBinXCAF --> TKBinL) for example.
And for other formats (BinOcaf, XmlOcaf ...) need to make a similar changes.
(0038900)
git (administrator)
2015-03-26 10:15

Branch CR25812_2 has been created by dln.

SHA-1: 9c73d0cd8534a2c0bc38c3a54124f76e75800ddd


Detailed log of new commits:

Author: dln
Date: Thu Mar 26 10:01:41 2015 +0300

    test commit
(0038901)
git (administrator)
2015-03-26 11:02

Branch CR25812_2 has been updated by dln.

SHA-1: 78796451ce4dea1d12f9a09664a04d925efdf840


Detailed log of new commits:

Author: dln
Date: Thu Mar 26 11:01:53 2015 +0300

    Redesign of new implementation of fix

(0038902)
git (administrator)
2015-03-26 11:27

Branch CR25812_3 has been created by dln.

SHA-1: 2dd234a72aab17bfa9190d8e9ef656fe01a9c777


Detailed log of new commits:

Author: dln
Date: Thu Mar 26 10:01:41 2015 +0300

    0025812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one
    Dynamic loading mechanism of OCAF persistence replaced by dynamic-link one for BinXCAF format
(0038903)
git (administrator)
2015-03-26 11:37

Branch CR25812_3 has been updated forcibly by dln.

SHA-1: c96fa505f3fae3f993b8667e79bb8986591245b7
(0038913)
git (administrator)
2015-03-26 13:39

Branch CR25812_3 has been updated forcibly by dln.

SHA-1: a99fd3afe43f774a40953c148650d20ed41968a2
(0038964)
git (administrator)
2015-03-30 07:32

Branch CR25812_3 has been updated forcibly by dln.

SHA-1: 9234290ee944d303e29f8620e330175db94acebe
(0038976)
git (administrator)
2015-03-30 12:52

Branch CR25812_3 has been updated forcibly by dln.

SHA-1: 7668f8b5ad28c866e0beb545c12e34ea17d1dce3
(0039006)
git (administrator)
2015-03-31 08:58

Branch CR25812_3 has been updated forcibly by dln.

SHA-1: 65d0555cb91f2666e7dd6d427a271eb2e173b30a
(0039007)
dln (developer)
2015-03-31 10:16

The new fix is in CR25812_3 branch.

Dear msv, could you please take a look at my fix?

There are some unresolved problems (marked as "// dln todo"):

1) CDF_Session.cxx, line 120: method Plugin::Load(...) was called here previously, i.e. FWOSDriver was loaded. The new implementation one wants loading drivers to map directly from library (FWOSDriver::Load(A)). But in this case cyclic dependencies will occur.

2) PCDM.cxx, line 75: similar problem

3) MDocStd_DocumentRetrievalDriver.cxx, line 139 and MDocStd_DocumentStorageDriver.cxx, line 127: Is it required to call Plugin::Load(plugin) method? And one more question - why MDocStd and StdDrivers share the same GUIDs?
(0041328)
szy (developer)
2015-05-20 17:23

Local patch for binary and xml persistence is prepared.
Now it should be extended to XCAF and Tobj.
(0041338)
git (administrator)
2015-05-20 18:38

Branch CR25812_3 has been updated by szy.

SHA-1: 33dd5d1528d4fb05413b93eda200c7547e497b53


Detailed log of new commits:

Author: szy
Date: Wed May 20 18:38:32 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Modified sources; part 3 (XCAF + TObj).

Author: szy
Date: Wed May 20 17:11:03 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Modified sources; part 2

Author: szy
Date: Tue May 19 18:33:26 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Modified sources; part 1.

(0041382)
git (administrator)
2015-05-21 14:26

Branch CR25812_3 has been updated by szy.

SHA-1: c734667f059316d57aec5c4d6e8f3471b13984b3


Detailed log of new commits:

Author: szy
Date: Thu May 21 14:26:05 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Modified sources; part 4 (small improvements).

(0041443)
apv (tester)
2015-05-22 16:07

Dear Sergey (SZY),
Please, rebase CR25812_3 to the current master (a lot of conflicts are detected).
Thank you in advance.
(0041463)
git (administrator)
2015-05-22 19:14

Branch CR25812_4 has been created by szy.

SHA-1: c1c58325da9d8b871d0b43763adc861464befaf1


Detailed log of new commits:

Author: szy
Date: Fri May 22 19:13:53 2015 +0300

     25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Modified sources;re-based patch.
(0041464)
szy (developer)
2015-05-22 19:15

Re-based patch is in branch CR25812_4.
(0041465)
szy (developer)
2015-05-22 19:15

Reviewed.
(0041481)
mkv (tester)
2015-05-25 11:35

Dear BugMaster,
Branch CR25812_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: c1c58325da9d8b871d0b43763adc861464befaf1

There are following compilation errors:
Windows:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25812-4-master/job/CR25812-4-master_build_occt_windows_64/1/parsed_console/ [^]
Creating library ..\..\..\win64\vc10\lib\TKDCAF.lib and object ..\..\..\win64\vc10\lib\TKDCAF.exp
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl XmlTObjDrivers::Load(class Handle_CDM_Application const &)" (?Load@XmlTObjDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl XmlXCAFDrivers::Load(class Handle_CDM_Application const &)" (?Load@XmlXCAFDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl XmlDrivers::Load(class Handle_CDM_Application const &)" (?Load@XmlDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl XmlLDrivers::Load(class Handle_CDM_Application const &)" (?Load@XmlLDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl BinTObjDrivers::Load(class Handle_CDM_Application const &)" (?Load@BinTObjDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl BinXCAFDrivers::Load(class Handle_CDM_Application const &)" (?Load@BinXCAFDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl BinDrivers::Load(class Handle_CDM_Application const &)" (?Load@BinDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>DDocStd_ApplicationCommands.obj : error LNK2019: unresolved external symbol "public: static void __cdecl BinLDrivers::Load(class Handle_CDM_Application const &)" (?Load@BinLDrivers@@SAXAEBVHandle_CDM_Application@@@Z) referenced in function "int __cdecl DDocStd_NewDocument(class Draw_Interpretor &,int,char const * *)" (?DDocStd_NewDocument@@YAHAEAVDraw_Interpretor@@HPEAPEBD@Z) [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>.\..\..\..\win64\vc10\bin\TKDCAF.dll : fatal error LNK1120: 8 unresolved externals [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj]
107>Done Building Project "y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj" (default targets) -- FAILED.
55>Done Building Project "y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKDCAF.vcxproj.metaproj" (default targets) -- FAILED.
(0041529)
git (administrator)
2015-05-25 18:47

Branch CR25812_4 has been updated by szy.

SHA-1: c7ed5ed039296d1acd6e2b024687881d413b7f5c


Detailed log of new commits:

Author: szy
Date: Mon May 25 18:47:40 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fix of compilation errors.

(0041612)
git (administrator)
2015-05-27 16:31

Branch CR25812_4 has been updated by szy.

SHA-1: f92fc320bc03c3256a48e8d0f523f4c3453cf7aa


Detailed log of new commits:

Author: szy
Date: Wed May 27 16:31:10 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Optimization.

(0041787)
szy (developer)
2015-06-01 15:02

Reviewed.
(0041820)
git (administrator)
2015-06-01 20:48

Branch CR25812_4 has been updated forcibly by mkv.

SHA-1: bc113b8003c0260e8ee5221d82f7297c66a00188
(0041856)
mkv (tester)
2015-06-02 16:46

Dear BugMaster,
Branch CR25812_4 was rebased on current master of occt git-repository.
SHA-1: bc113b8003c0260e8ee5221d82f7297c66a00188
(0041857)
mkv (tester)
2015-06-02 16:47

Dear BugMaster,
Branch CR25812_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bc113b8003c0260e8ee5221d82f7297c66a00188

Number of compiler warnings:

occt component :
Linux: 30 (25 on master)
Windows: 2 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25812-4-master_build_occt_linux/1/warnings17Result/package.-165236198/ [^]
CDF_StoreList.cxx:95, GNU C Compiler 4 (gcc), Priority: Normal
suggest explicit braces to avoid ambiguous 'else' [-Wparentheses]

http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25812-4-master_build_occt_linux/1/warnings17Result/package.-165236191/ [^]
CDM_Document.cxx:46, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here [-Wreorder]
CDM_Document.cxx:1120, GNU C Compiler 4 (gcc), Priority: Normal
'void FIND(const Handle_Resource_Manager&, const TCollection_ExtendedString&, Standard_Boolean&, TCollection_ExtendedString&)' defined but not used [-Wunused-function]

http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25812-4-master_build_occt_linux/1/warnings17Result/package.-671474530/file.-51401511/ [^]
CDM_Document.hxx:420, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Boolean CDM_Document::myRequestedFolderIsDefined' [-Wreorder]
CDM_Document.hxx:439, GNU C Compiler 4 (gcc), Priority: Normal
'CDM_Document::myStorageDriverName' will be initialized after [-Wreorder]

There are new additional compilation warnings on Windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25812-4-master_build_occt_windows_64/1/warnings34Result/ [^]
CDM_Document.cxx:1120, MSBuild, Priority: Normal
'FIND' : unreferenced local function has been removed
CDM_Document.cxx:1120, MSBuild, Priority: Normal
'FIND' : unreferenced local function has been removed [y:\builds\vc10\CR25812-4-master-occt-64\adm\msvc\vc10\TKCDF.vcxproj]

Regressions/Differences/Improvements:
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/summary.html [^]

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 96489396 / 95686830 [+0.84%]
Total CPU difference: 17021.179999999997 / 18343.540000000092 [-7.21%]
products component :
Total MEMORY difference: 24942332 / 24082869 [+3.57%]
Total CPU difference: 7911.680000000019 / 7841.8200000000215 [+0.89%]

Testing on Windows:
occt component :
Total MEMORY difference: 57377325 / 56229919 [+2.04%]
Total CPU difference: 16962.30073199915 / 17368.371334998843 [-2.34%]
products component :
Total MEMORY difference: 16053794 / 15399387 [+4.25%]
Total CPU difference: 6203.426565299971 / 6256.747707099968 [-0.85%]

There are no differences in images found by testdiff.
(0042034)
git (administrator)
2015-06-08 17:21

Branch CR25812_4 has been updated by szy.

SHA-1: 1c031d1b1b7bda64c62d5f89a527bc0475b68d4a


Detailed log of new commits:

Author: szy
Date: Mon Jun 8 17:20:53 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing failed tests.

Author: szy
Date: Fri Jun 5 16:41:10 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Compiler's warnings removal.

(0042035)
szy (developer)
2015-06-08 17:23

Test, please.
(0042039)
git (administrator)
2015-06-08 18:05

Branch CR25812_4 has been updated forcibly by mkv.

SHA-1: 1000dda9fea6cf5c5ecb8ed3df55a99145a77440
(0042062)
mkv (tester)
2015-06-09 17:41

Dear BugMaster,
Branch CR25812_4 was rebased on current master of occt git-repository.
SHA-1: 1000dda9fea6cf5c5ecb8ed3df55a99145a77440
(0042063)
mkv (tester)
2015-06-09 17:41

Dear BugMaster,
Branch CR25812_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1000dda9fea6cf5c5ecb8ed3df55a99145a77440

Number of compiler warnings:

occt component :
Linux: 28 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25812-4-master_build_occt_linux/1/warnings17Result/package.-165236191/ [^]
CDM_Document.cxx:46, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here [-Wreorder]
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25812-4-master_build_occt_linux/1/warnings17Result/package.-671474530/file.-51401511/ [^]
CDM_Document.hxx:383, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Boolean CDM_Document::myResourcesAreLoaded' [-Wreorder]
CDM_Document.hxx:437, GNU C Compiler 4 (gcc), Priority: Normal
'CDM_Document::myDefaultPresentationWasFound' will be initialized after [-Wreorder]

Regressions/Differences/Improvements:
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/caf/bug21231.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/caf/bug21231.html [^]
bugs caf bug21231
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/caf/bug23071.html [^]
bugs caf bug23071
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/caf/bug24925.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/caf/bug24925.html [^]
bugs caf bug24925
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/fclasses/bug984_1.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/fclasses/bug984_1.html [^]
bugs fclasses bug984_1
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/fclasses/bug24931.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/fclasses/bug24931.html [^]
bugs fclasses bug24931
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/mesh/bug25378_1_1.html [^]
bugs mesh bug25378_1_1 - will be corrected
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/modalg_4/bug363_1.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/modalg_4/bug363_1.html [^]
bugs modalg_4 bug363_1
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/xde/bug533.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/xde/bug533.html [^]
bugs xde bug533
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/bugs/xde/bug22962.html [^]
http://occt-tests/CR25812-4-master-occt-64/Windows-64-VC10/bugs/xde/bug22962.html [^]
bugs xde bug22962
http://occt-tests/CR25812-4-master-occt-64/Debian70-64/perf/ncollection/A1.html [^]
perf ncollection A1

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 97945211 / 95580725 [+2.47%]
Total CPU difference: 18324.260000000042 / 18191.339999999975 [+0.73%]
products component :
Total MEMORY difference: 24940830 / 24136402 [+3.33%]
Total CPU difference: 8053.150000000014 / 7758.170000000022 [+3.80%]

Testing on Windows:
occt component :
Total MEMORY difference: 57653669 / 56235773 [+2.52%]
Total CPU difference: 17477.447234199 / 17352.568433698932 [+0.72%]
products component :
Total MEMORY difference: 16047668 / 15393154 [+4.25%]
Total CPU difference: 6210.883413099975 / 6251.802475399966 [-0.65%]

There are no differences in images found by testdiff.
(0042064)
git (administrator)
2015-06-09 17:42

Branch CR25812_4 has been updated by mkv.

SHA-1: 2d5cc31918937c56957e1e3e88d91707cdcdfaeb


Detailed log of new commits:

Author: mkv
Date: Tue Jun 9 17:42:36 2015 +0300

    Small correction ot test cases for issue CR25812

(0042244)
git (administrator)
2015-06-18 19:16

Branch CR25812_4 has been updated by szy.

SHA-1: 02cebd05dc70f58b9eb13f9698b5d5541d339102


Detailed log of new commits:

Author: szy
Date: Thu Jun 18 19:15:21 2015 +0300

    Merge branch 'CR25812_4' of git.dev.opencascade.org:occt into CR25812_4

Author: szy
Date: Thu Jun 18 19:07:20 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing failed tests #3.

Author: szy
Date: Wed Jun 17 19:00:49 2015 +0300

    * 25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing failed tests 0000002.

Author: szy
Date: Tue Jun 9 15:38:14 2015 +0300

    Merge branch 'CR25812_4' of git.dev.opencascade.org:occt into CR25812_4

Author: szy
Date: Mon Jun 8 17:20:53 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing failed tests.

Author: szy
Date: Fri Jun 5 16:41:10 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Compiler's warnings removal.

(0042245)
szy (developer)
2015-06-18 19:26

Reviewed.
Test, please.
Regressions/Differences/Improvements:

bugs caf bug21231 - fixed
bugs caf bug23071 - not reproduced
bugs caf bug24925 - NA, script is removed
bugs fclasses bug984_1 - fixed
bugs fclasses bug24931 - fixed
bugs mesh bug25378_1_1 - 'will be corrected' <== not clear, to be checked
bugs modalg_4 bug363_1 - not reproduced
bugs xde bug22962 - fixed
perf ncollection A1 - NA to current fix, can be skipped.

(0042258)
mkv (tester)
2015-06-19 11:51

Dear szy,
could you please rebase CR25812_4 on current master, there are conflict files.
(0042262)
szy (developer)
2015-06-19 12:39

Git reports me:
"Nothing need rebase.
 CR25812_4 equal remotes/orgin/CR25812_4"
Check it, please once again.
(0042282)
szy (developer)
2015-06-19 18:49

The branch rebased,
test it, please.
(0042316)
git (administrator)
2015-06-22 15:45

Branch CR25812_5 has been created by szy.

SHA-1: 11efed7efdc81aa925f0f8e167726610be95ffd7


Detailed log of new commits:

Author: szy
Date: Mon Jun 22 15:44:24 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Common patch.
(0042317)
szy (developer)
2015-06-22 15:48

Test, please branch CR25812_5.
(0042337)
mkv (tester)
2015-06-23 11:54

Dear BugMaster,
Branch CR25812_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 11efed7efdc81aa925f0f8e167726610be95ffd7

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR25812-5-master-occt-64/Windows-64-VC10/summary.html [^]
http://occt-tests/CR25812-5-master-occt-64/Debian70-64/summary.html [^]

Testing cases:
Not needed
(0042457)
git (administrator)
2015-06-25 17:52

Branch CR25812_5 has been updated by szy.

SHA-1: 74b971fc37e663014f7c53077b8e3b29614f86d8


Detailed log of new commits:

Author: szy
Date: Thu Jun 25 17:52:13 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing regressions.

(0042458)
szy (developer)
2015-06-25 17:54

Test, please CR25812_5.
(0042465)
git (administrator)
2015-06-25 19:04

Branch CR25812_5 has been updated forcibly by mkv.

SHA-1: 5d64220699993b5937f316dad4c5abc81c0c22da
(0042498)
mkv (tester)
2015-06-26 16:18

Dear BugMaster,
Branch CR25812_5 was rebased on IR-2015-06-25 of occt git-repository.
SHA-1: f1ed22dc61435ba3088f9c6b485c680cbbbb9c0a
(0042499)
mkv (tester)
2015-06-26 16:19

Dear BugMaster,
Branch CR25812_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f1ed22dc61435ba3088f9c6b485c680cbbbb9c0a

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR25812-5-master-occt-64/Debian70-64/bugs/caf/bug23071.html [^]
bugs caf bug23071: FAILED

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 100058084 / 98592005 [+1.49%]
Total CPU difference: 18387.450000000114 / 18386.570000000116 [+0.00%]
products component :
Total MEMORY difference: 25097109 / 24220652 [+3.62%]
Total CPU difference: 7893.200000000015 / 7858.560000000034 [+0.44%]

Testing on Windows:
occt component :
http://occt-tests/CR25812-5-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
....
MEMORY caf driver B2: 1140 / 313 [+264.22%]
MEMORY caf driver A3: 1761 / 934 [+88.54%]
MEMORY caf driver A1: 1973 / 1146 [+72.16%]
MEMORY caf driver A4: 1898 / 1071 [+77.22%]
MEMORY caf driver B7: 1090 / 263 [+314.45%]
MEMORY caf driver A5: 1942 / 1115 [+74.17%]
MEMORY caf driver B3: 1338 / 511 [+161.84%]
MEMORY caf driver B6: 2006 / 1179 [+70.14%]
MEMORY caf driver A2: 1880 / 1053 [+78.54%]
MEMORY caf driver A9: 2071 / 1244 [+66.48%]
MEMORY caf driver A8: 1574 / 748 [+110.43%]
MEMORY caf named_shape E1: 1575 / 748 [+110.56%]
MEMORY caf named_shape F6: 1567 / 741 [+111.47%]
MEMORY caf named_shape F7: 1094 / 267 [+309.74%]
MEMORY caf named_shape D3: 995 / 169 [+488.76%]
MEMORY caf named_shape F9: 1193 / 367 [+225.07%]
MEMORY caf named_shape E3: 1458 / 631 [+131.06%]
MEMORY caf named_shape F3: 1252 / 425 [+194.59%]
MEMORY caf named_shape E8: 1379 / 552 [+149.82%]
MEMORY caf named_shape E9: 1654 / 827 [+100.00%]
MEMORY caf named_shape F1: 1927 / 1101 [+75.02%]
MEMORY caf named_shape A1: 983 / 157 [+526.11%]
MEMORY caf named_shape B1: 984 / 157 [+526.75%]
MEMORY caf named_shape E4: 1534 / 707 [+116.97%]
MEMORY caf named_shape E5: 1517 / 690 [+119.86%]
MEMORY caf named_shape D2: 996 / 169 [+489.35%]
MEMORY caf named_shape E6: 2291 / 1465 [+56.38%]
MEMORY caf named_shape D1: 1003 / 177 [+466.67%]
MEMORY caf named_shape C1: 835 / 216 [+286.57%]
MEMORY caf named_shape F8: 1182 / 355 [+232.96%]
MEMORY caf named_shape E2: 1524 / 697 [+118.65%]
MEMORY caf named_shape F2: 1106 / 279 [+296.42%]
MEMORY caf named_shape: 42449 / 22817 [+86.04%]
MEMORY caf tree E1: 932 / 105 [+787.62%]
MEMORY caf tree H2: 932 / 105 [+787.62%]
MEMORY caf tree J2: 933 / 107 [+771.96%]
MEMORY caf tree G1: 932 / 105 [+787.62%]
MEMORY caf tree F1: 932 / 105 [+787.62%]
MEMORY caf tree B2: 931 / 104 [+795.19%]
MEMORY caf tree A3: 758 / 140 [+441.43%]
MEMORY caf tree A1: 930 / 104 [+794.23%]
MEMORY caf tree M2: 935 / 108 [+765.74%]
MEMORY caf tree K1: 933 / 107 [+771.96%]
MEMORY caf tree B1: 930 / 104 [+794.23%]
MEMORY caf tree G2: 932 / 105 [+787.62%]
MEMORY caf tree I2: 933 / 107 [+771.96%]
MEMORY caf tree C2: 758 / 140 [+441.43%]
MEMORY caf tree L2: 933 / 107 [+771.96%]
MEMORY caf tree I3: 933 / 107 [+771.96%]
MEMORY caf tree K2: 933 / 107 [+771.96%]
MEMORY caf tree H1: 932 / 105 [+787.62%]
MEMORY caf tree D2: 932 / 105 [+787.62%]
MEMORY caf tree M1: 934 / 108 [+764.81%]
MEMORY caf tree I4: 933 / 107 [+771.96%]
MEMORY caf tree B3: 758 / 140 [+441.43%]
MEMORY caf tree L1: 933 / 107 [+771.96%]
MEMORY caf tree D1: 932 / 105 [+787.62%]
MEMORY caf tree I1: 933 / 107 [+771.96%]
MEMORY caf tree C1: 930 / 103 [+802.91%]
MEMORY caf tree A2: 930 / 103 [+802.91%]
MEMORY caf tree J1: 933 / 107 [+771.96%]
MEMORY caf tree E2: 932 / 105 [+787.62%]
MEMORY caf tree F2: 932 / 105 [+787.62%]
MEMORY caf tree: 27444 / 3274 [+738.24%]
MEMORY caf xlink B2: 1029 / 203 [+406.90%]
MEMORY caf xlink A1: 1026 / 199 [+415.58%]
MEMORY caf xlink B1: 1027 / 200 [+413.50%]
MEMORY caf xlink B5: 1030 / 203 [+407.39%]
MEMORY caf xlink B4: 1028 / 201 [+411.44%]
MEMORY caf xlink D2: 1060 / 233 [+354.94%]
MEMORY caf xlink B3: 880 / 261 [+237.16%]
MEMORY caf xlink D1: 1031 / 204 [+405.39%]
MEMORY caf xlink C1: 1028 / 201 [+411.44%]
MEMORY caf xlink A2: 1027 / 200 [+413.50%]
MEMORY caf xlink: 10166 / 2105 [+382.95%]
MEMORY caf basic E1: 966 / 139 [+594.96%]
MEMORY caf basic J3: 794 / 175 [+353.71%]
MEMORY caf basic D3: 794 / 175 [+353.71%]
MEMORY caf basic E3: 794 / 175 [+353.71%]
MEMORY caf basic H2: 969 / 142 [+582.39%]
MEMORY caf basic J2: 966 / 139 [+594.96%]
MEMORY caf basic F3: 794 / 175 [+353.71%]
MEMORY caf basic G1: 968 / 141 [+586.52%]
MEMORY caf basic J6: 794 / 175 [+353.71%]
MEMORY caf basic F1: 966 / 139 [+594.96%]
MEMORY caf basic B2: 966 / 139 [+594.96%]
MEMORY caf basic A3: 794 / 175 [+353.71%]
MEMORY caf basic A1: 966 / 138 [+600.00%]
MEMORY caf basic M2: 966 / 139 [+594.96%]
MEMORY caf basic K1: 984 / 157 [+526.75%]
MEMORY caf basic K3: 835 / 216 [+286.57%]
MEMORY caf basic B1: 966 / 139 [+594.96%]
MEMORY caf basic J5: 966 / 139 [+594.96%]
MEMORY caf basic G2: 968 / 142 [+581.69%]
MEMORY caf basic I2: 970 / 143 [+578.32%]
MEMORY caf basic L3: 794 / 175 [+353.71%]
MEMORY caf basic C2: 966 / 139 [+594.96%]
MEMORY caf basic L2: 966 / 139 [+594.96%]
MEMORY caf basic I3: 801 / 183 [+337.70%]
MEMORY caf basic C3: 794 / 175 [+353.71%]
MEMORY caf basic K2: 998 / 171 [+483.63%]
MEMORY caf basic H1: 969 / 142 [+582.39%]
MEMORY caf basic G3: 798 / 180 [+343.33%]
MEMORY caf basic D2: 966 / 139 [+594.96%]
MEMORY caf basic M1: 966 / 139 [+594.96%]
MEMORY caf basic H3: 801 / 182 [+340.11%]
MEMORY caf basic B3: 794 / 175 [+353.71%]
MEMORY caf basic L1: 966 / 139 [+594.96%]
MEMORY caf basic D1: 966 / 139 [+594.96%]
MEMORY caf basic M3: 794 / 175 [+353.71%]
MEMORY caf basic I1: 969 / 142 [+582.39%]
MEMORY caf basic C1: 966 / 139 [+594.96%]
MEMORY caf basic A2: 966 / 139 [+594.96%]
MEMORY caf basic J4: 966 / 139 [+594.96%]
MEMORY caf basic J1: 966 / 139 [+594.96%]
MEMORY caf basic E2: 966 / 139 [+594.96%]
MEMORY caf basic F2: 966 / 139 [+594.96%]
MEMORY caf basic: 38290 / 6470 [+491.81%]
MEMORY caf nam A3: 2151 / 1326 [+62.22%]
MEMORY caf nam A1: 2159 / 1335 [+61.72%]
MEMORY caf nam A4: 2124 / 1299 [+63.51%]
MEMORY caf nam A6: 2385 / 1560 [+52.88%]
MEMORY caf nam A5: 2151 / 1327 [+62.09%]
MEMORY caf nam A2: 2174 / 1349 [+61.16%]
MEMORY caf nam: 21764 / 14342 [+51.75%]
MEMORY caf bugs B2: 811 / 192 [+322.40%]
MEMORY caf bugs A3: 810 / 192 [+321.88%]
MEMORY caf bugs A1: 810 / 192 [+321.88%]
MEMORY caf bugs B8: 811 / 192 [+322.40%]
MEMORY caf bugs A7: 815 / 196 [+315.82%]
MEMORY caf bugs B1: 810 / 192 [+321.88%]
MEMORY caf bugs B5: 852 / 233 [+265.67%]
MEMORY caf bugs B4: 811 / 192 [+322.40%]
MEMORY caf bugs A4: 810 / 192 [+321.88%]
MEMORY caf bugs B9: 811 / 192 [+322.40%]
MEMORY caf bugs C2: 811 / 192 [+322.40%]
MEMORY caf bugs B7: 880 / 261 [+237.16%]
MEMORY caf bugs A6: 810 / 192 [+321.88%]
MEMORY caf bugs A5: 810 / 192 [+321.88%]
MEMORY caf bugs B3: 852 / 233 [+265.67%]
MEMORY caf bugs D1: 980 / 160 [+512.50%]
MEMORY caf bugs B6: 880 / 261 [+237.16%]
MEMORY caf bugs C1: 811 / 192 [+322.40%]
MEMORY caf bugs A2: 810 / 192 [+321.88%]
MEMORY caf bugs A9: 818 / 199 [+311.06%]
MEMORY caf bugs A8: 817 / 199 [+310.55%]
MEMORY bugs xde bug23736: 2475 / 1650 [+50.00%]
MEMORY bugs xde bug6675: 2073 / 1242 [+66.91%]
MEMORY bugs xde bug23010: 2206 / 1375 [+60.44%]
MEMORY bugs xde bug23771_1: 2339 / 1508 [+55.11%]
MEMORY bugs xde bug861: 2150 / 1319 [+63.00%]
MEMORY bugs xde bug12905: 2302 / 1471 [+56.49%]
MEMORY bugs xde bug168: 2139 / 1308 [+63.53%]
MEMORY bugs xde bug533: 2079 / 1222 [+70.13%]
MEMORY bugs xde bug23561: 2345 / 1514 [+54.89%]
MEMORY bugs xde bug2821: 2375 / 1544 [+53.82%]
MEMORY bugs xde bug901: 2071 / 1240 [+67.02%]
MEMORY bugs xde bug25910: 2362 / 1538 [+53.58%]
MEMORY bugs xde bug22492: 2367 / 1536 [+54.10%]
MEMORY bugs xde bug966: 2132 / 1300 [+64.00%]
MEMORY bugs xde bug859: 2161 / 1330 [+62.48%]
MEMORY bugs xde bug4968: 2082 / 1251 [+66.43%]
MEMORY bugs xde bug23771_2: 2337 / 1506 [+55.18%]
MEMORY bugs xde bug6555: 2071 / 1239 [+67.15%]
MEMORY bugs xde bug23950: 2097 / 1267 [+65.51%]
MEMORY bugs xde bug810: 2075 / 1243 [+66.93%]
MEMORY bugs xde bug169: 2153 / 1321 [+62.98%]
MEMORY bugs xde bug1430_2: 2066 / 1235 [+67.29%]
MEMORY bugs xde bug1430_1: 2130 / 1299 [+63.97%]
MEMORY bugs xde bug23895: 2177 / 1346 [+61.74%]
MEMORY bugs xde bug1055: 2323 / 1492 [+55.70%]
MEMORY bugs xde bug23570: 2053 / 1222 [+68.00%]
MEMORY bugs xde bug25176: 2266 / 1435 [+57.91%]
MEMORY bugs xde bug816_2: 2320 / 1489 [+55.81%]
MEMORY bugs xde bug6384: 2076 / 1245 [+66.75%]
MEMORY bugs xde bug23047_1: 2104 / 1273 [+65.28%]
MEMORY bugs xde bug22670_1: 2109 / 1278 [+65.02%]
MEMORY bugs xde bug25357: 2099 / 1268 [+65.54%]
MEMORY bugs xde bug22728: 2331 / 1500 [+55.40%]
MEMORY bugs xde bug5439: 2137 / 1306 [+63.63%]
MEMORY bugs xde bug23047_2: 2100 / 1269 [+65.48%]
MEMORY bugs xde bug22576: 2064 / 1233 [+67.40%]
MEMORY bugs xde bug904: 2096 / 1265 [+65.69%]
MEMORY bugs xde bug23951: 2314 / 1483 [+56.04%]
MEMORY bugs xde bug125_1: 2070 / 1239 [+67.07%]
MEMORY bugs xde bug125_2: 2071 / 1240 [+67.02%]
MEMORY bugs xde bug23009: 2137 / 1306 [+63.63%]
MEMORY bugs xde bug23328: 2055 / 1224 [+67.89%]
MEMORY bugs xde bug816_1: 2320 / 1489 [+55.81%]
MEMORY bugs xde bug184: 2314 / 1483 [+56.04%]
MEMORY bugs xde bug2: 2069 / 1238 [+67.12%]
MEMORY bugs xde bug34: 2087 / 1255 [+66.29%]
MEMORY bugs xde bug23597: 2241 / 1410 [+58.94%]
MEMORY bugs xde bug945: 2059 / 1228 [+67.67%]
MEMORY bugs xde bug1540: 2363 / 1532 [+54.24%]
MEMORY bugs xde bug23595: 2118 / 1287 [+64.57%]
MEMORY bugs xde bug23911: 2095 / 1263 [+65.87%]
MEMORY bugs xde bug6542: 2431 / 1599 [+52.03%]
MEMORY bugs modalg_4 bug363_1: 2030 / 1307 [+55.32%]
MEMORY bugs caf bug2269: 961 / 140 [+586.43%]
MEMORY bugs caf bug351: 1230 / 405 [+203.70%]
MEMORY bugs caf bug1919: 1147 / 329 [+248.63%]
MEMORY bugs caf buc60862: 1132 / 307 [+268.73%]
MEMORY bugs caf bug22788_1: 1073 / 355 [+202.25%]
MEMORY bugs caf bug2932_13: 973 / 146 [+566.44%]
MEMORY bugs caf bug2932_24: 971 / 144 [+574.31%]
MEMORY bugs caf bug1722: 971 / 144 [+574.31%]
MEMORY bugs caf buc60831: 1131 / 306 [+269.61%]
MEMORY bugs caf bug22976: 970 / 143 [+578.32%]
MEMORY bugs caf bug23864: 978 / 158 [+518.99%]
MEMORY bugs caf bug739: 1113 / 288 [+286.46%]
MEMORY bugs caf bug5023: 1279 / 559 [+128.80%]
MEMORY bugs caf buc60910: 1131 / 306 [+269.61%]
MEMORY bugs caf bug2932_8: 986 / 159 [+520.13%]
MEMORY bugs caf bug159: 1130 / 305 [+270.49%]
MEMORY bugs caf bug2932_9: 971 / 144 [+574.31%]
MEMORY bugs caf bug23912: 970 / 143 [+578.32%]
MEMORY bugs caf bug2932_4: 971 / 144 [+574.31%]
MEMORY bugs caf buc60817: 1130 / 305 [+270.49%]
MEMORY bugs caf bug2932_3: 973 / 146 [+566.44%]
MEMORY bugs caf bug2932_22: 971 / 144 [+574.31%]
MEMORY bugs caf bug22995: 880 / 160 [+450.00%]
MEMORY bugs caf bug1138: 1113 / 288 [+286.46%]
MEMORY bugs caf bug352: 1240 / 415 [+198.80%]
MEMORY bugs caf bug23071: 880 / 160 [+450.00%]
MEMORY bugs caf bug23766_1: 923 / 203 [+354.68%]
MEMORY bugs caf bug2932_12: 986 / 159 [+520.13%]
MEMORY bugs caf bug2932_23: 972 / 145 [+570.34%]
MEMORY bugs caf bug669: 1113 / 289 [+285.12%]
MEMORY bugs caf bug2932_11: 971 / 144 [+574.31%]
MEMORY bugs caf bug2932_18: 986 / 159 [+520.13%]
MEMORY bugs caf bug261: 1130 / 305 [+270.49%]
MEMORY bugs caf bug2932_10: 971 / 144 [+574.31%]
MEMORY bugs caf bug387: 971 / 144 [+574.31%]
MEMORY bugs caf bug24822: 995 / 168 [+492.26%]
MEMORY bugs caf bug24164_1: 823 / 204 [+303.43%]
MEMORY bugs caf bug2932_19: 971 / 144 [+574.31%]
MEMORY bugs caf bug26061: 1143 / 318 [+259.43%]
MEMORY bugs caf bug25112: 974 / 147 [+562.59%]
MEMORY bugs caf bug22788_2: 899 / 180 [+399.44%]
MEMORY bugs caf buc60756: 798 / 180 [+343.33%]
MEMORY bugs caf bug282: 1135 / 311 [+264.95%]
MEMORY bugs caf bug267_2: 1040 / 322 [+222.98%]
MEMORY bugs caf bug381_1: 1040 / 322 [+222.98%]
MEMORY bugs caf bug23799: 977 / 150 [+551.33%]
MEMORY bugs caf buc60790: 1130 / 306 [+269.28%]
MEMORY bugs caf bug2932_5: 986 / 159 [+520.13%]
MEMORY bugs caf bug25394_1: 782 / 163 [+379.75%]
MEMORY bugs caf bug25394_2: 782 / 163 [+379.75%]
MEMORY bugs caf bug25153: 975 / 148 [+558.78%]
MEMORY bugs caf bug21707: 1074 / 248 [+333.06%]
MEMORY bugs caf bug23306: 799 / 180 [+343.89%]
MEMORY bugs caf bug9746: 886 / 268 [+230.60%]
MEMORY bugs caf bug381_2: 1040 / 322 [+222.98%]
MEMORY bugs caf bug2932_15: 971 / 144 [+574.31%]
MEMORY bugs caf bug24263: 985 / 158 [+523.42%]
MEMORY bugs caf bug23766_6: 1032 / 212 [+386.79%]
MEMORY bugs caf bug2932_2: 971 / 144 [+574.31%]
MEMORY bugs caf bug24869: 1031 / 204 [+405.39%]
MEMORY bugs caf bug158: 880 / 160 [+450.00%]
MEMORY bugs caf bug738_1: 1113 / 288 [+286.46%]
MEMORY bugs caf bug1054_1: 1007 / 180 [+459.44%]
MEMORY bugs caf bug267_1: 880 / 160 [+450.00%]
MEMORY bugs caf buc60925: 1130 / 305 [+270.49%]
MEMORY bugs caf bug2932_20: 971 / 144 [+574.31%]
MEMORY bugs caf buc60867: 1050 / 332 [+216.27%]
MEMORY bugs caf bug2932_1: 971 / 144 [+574.31%]
MEMORY bugs caf bug350: 2149 / 1324 [+62.31%]
MEMORY bugs caf bug1724: 880 / 160 [+450.00%]
MEMORY bugs caf bug24755: 1130 / 305 [+270.49%]
MEMORY bugs caf bug1395_2: 970 / 144 [+573.61%]
MEMORY bugs caf bug2932_17: 1130 / 306 [+269.28%]
MEMORY bugs caf bug425: 798 / 180 [+343.33%]
MEMORY bugs caf bug25394_3: 968 / 148 [+554.05%]
MEMORY bugs caf bug2932_7: 1130 / 306 [+269.28%]
MEMORY bugs caf bug2932_16: 971 / 144 [+574.31%]
MEMORY bugs caf bug24852: 978 / 157 [+522.93%]
MEMORY bugs caf bug114: 1408 / 581 [+142.34%]
MEMORY bugs caf bug1726: 874 / 154 [+467.53%]
MEMORY bugs caf bug2932_6: 1130 / 306 [+269.28%]
MEMORY bugs caf bug170_3: 1002 / 182 [+450.55%]
MEMORY bugs caf bug23766_2: 923 / 203 [+354.68%]
MEMORY bugs caf bug1395_1: 970 / 144 [+573.61%]
MEMORY bugs caf bug25317: 1368 / 548 [+149.64%]
MEMORY bugs caf bug2932_21: 1130 / 306 [+269.28%]
MEMORY bugs caf bug24263_2: 985 / 158 [+523.42%]
MEMORY bugs caf bug24645: 973 / 147 [+561.90%]
MEMORY bugs caf bug23489: 956 / 129 [+641.09%]
MEMORY bugs caf buc60847: 1145 / 320 [+257.81%]
MEMORY bugs caf bug23766_3: 1001 / 180 [+456.11%]
MEMORY bugs caf bug644: 971 / 144 [+574.31%]
MEMORY bugs caf bug738_2: 1113 / 288 [+286.46%]
MEMORY bugs caf buc60813: 971 / 144 [+574.31%]
MEMORY bugs caf bug23766_4: 856 / 237 [+261.18%]
MEMORY bugs caf bug23766_5: 856 / 237 [+261.18%]
MEMORY bugs caf bug21231: 1613 / 185 [+771.89%]
MEMORY bugs caf bug361: 1113 / 288 [+286.46%]
MEMORY bugs caf bug24164_2: 782 / 163 [+379.75%]
MEMORY bugs caf bug2932_14: 972 / 146 [+565.75%]
MEMORY bugs caf bug1054_2: 1006 / 179 [+462.01%]
MEMORY bugs caf bug355: 1159 / 334 [+247.01%]
MEMORY bugs caf buc60844: 972 / 145 [+570.34%]
MEMORY bugs caf bug26155: 1194 / 369 [+223.58%]
MEMORY bugs modalg_5 bug25969: 1919 / 1199 [+60.05%]
MEMORY bugs fclasses bug24931: 1122 / 297 [+277.78%]
MEMORY bugs fclasses bug984_1: 979 / 157 [+523.57%]
....
Total MEMORY difference: 58137364 / 56602117 [+2.71%]
Total CPU difference: 17258.73383219887 / 17390.648277798853 [-0.76%]
products component :
Total MEMORY difference: 16205425 / 15550857 [+4.21%]
Total CPU difference: 6265.093760599978 / 6303.984809899965 [-0.62%]

There are no differences in images found by testdiff.
(0042564)
szy (developer)
2015-06-29 18:01

Test, please.
(0042568)
git (administrator)
2015-06-29 18:42

Branch CR25812_5 has been updated forcibly by szy.

SHA-1: 9d44761ba1385ba944db0d48d9113d2b14cad3a9
(0042570)
mkv (tester)
2015-06-29 19:22

Dear BugMaster,
test case
bugs caf bug23071
was retested.

Now it is OK on Linux platform:
http://occt-tests/CR25812-5-master-occt-64/Debian70-64/bugs/caf/bug23071.html [^]
bugs caf bug23071: OK

and it is FAILED on Windows platform:
http://occt-tests/CR25812-5-master-occt-64/Windows-64-VC10/bugs/caf/bug23071.html [^]
bugs caf bug23071: FAILED
(0042613)
git (administrator)
2015-06-30 18:30

Branch CR25812_5 has been updated by szy.

SHA-1: f0916871f6be5ddaea71c82b031369d62414cd16


Detailed log of new commits:

Author: szy
Date: Tue Jun 30 18:30:07 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing regressions.

(0042614)
szy (developer)
2015-06-30 18:32

Test it, please.
(0042631)
mkv (tester)
2015-07-01 11:36

Dear BugMaster,
Branch CR25812_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f0916871f6be5ddaea71c82b031369d62414cd16

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR25812-5-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR25812-5-master-occt-64/Windows-64-VC10/summary.html [^]
bugs caf bug170_3, bug1919, bug23071, bug23766_6, bug25317
xml ocaf_xml A1, A2, A3, A4, A5, A6, A7, A8, A9, B1, B2, B3, B4, B5, B6, B7, B8, B9, C1, C2, C3, C4, C5, C6, C7, C8, C9, D1, D2, D3, D4, D5, D6
xml xcaf_xml A1, A2, A3, A4, A5, A6, A7, A8, A9

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 99704302 / 98294040 [+1.43%]
Total CPU difference: 18227.09000000012 / 18276.300000000116 [-0.27%]
products component :
Total MEMORY difference: 25108676 / 24211008 [+3.71%]
Total CPU difference: 8154.94 / 7857.050000000034 [+3.79%]

Testing on Windows:
occt component :
Total MEMORY difference: 58121443 / 56762709 [+2.39%]
Total CPU difference: 17348.387606898814 / 17470.95759259883 [-0.70%]
products component :
Total MEMORY difference: 16188009 / 15544480 [+4.14%]
Total CPU difference: 6214.424635799967 / 6302.705601699965 [-1.40%]

There are no differences in images found by testdiff.
(0042645)
git (administrator)
2015-07-01 18:21

Branch CR25812_5 has been updated by szy.

SHA-1: c4c432528d1944323149c46625a710016fb536fe


Detailed log of new commits:

Author: szy
Date: Wed Jul 1 18:20:54 2015 +0300

    25812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one -- Fixing regressions.

(0042646)
szy (developer)
2015-07-01 18:29

Test it, please.
(0042676)
apv (tester)
2015-07-02 14:54

Dear BugMaster,

Branch CR25812_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c4c432528d1944323149c46625a710016fb536fe

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 99767612 / 98538522 [+1.25%]
Total CPU difference: 17550.320000000054 / 18332.960000000112 [-4.27%]

Testing on Windows:
Total MEMORY difference: 58272348 / 56806235 [+2.58%]
Total CPU difference: 17370.10294609886 / 17465.513157698817 [-0.55%]
(0042679)
bugmaster (administrator)
2015-07-02 16:04

Fix requires more deep analyses.
(0055273)
git (administrator)
2016-06-21 08:57

Branch CR25812_6 has been created by abv.

SHA-1: e3d3f8d9ae4205a7c9846e70261d610b96b0ef2f


Detailed log of new commits:

Author: abv
Date: Mon Jun 20 06:53:14 2016 +0300

    0025812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one
    
    Fields to store cached instances of reader and writer drivers for each format are added in CDF_Application.
    Method DefineFormat() is added in TDocStd_Application, allowing defining format completely by single call, including drivers to be used for persistence.
    All OCAF driver packages provide static method DefineFormat() that defines standard OCAF persistence format supported by corresponding package; these methods are called in DRAW to enable all persistence by default.
    
    DRAW commands (except TObj-specific ones) now use single instance of OCAF Application, returned by DDocStd::GetApplication(). Other instances are eliminated, as well as method DDocStd::Find(const Handle(TDocStd_Application)&).
    Method MessageDriver() and relevant field are moved to TDocStd_Application from its descendants.
    
    Method CDF_Application::ReaderFromFormat() is made virtual to allow its redefinition in descendants.
    Creation of storage driver is moved from PCDM::StorageDriver() to new virtual method CDF_Application::WriterFromFormat().
    The code loading driver as plugin is retained in both these methods for compatibility.
    
    Test command OCC24925 is converted to use virtual methods instead of defining plugin resource.
    
    Migration table for old OCAF types is hard-coded in Storage_Schema::CheckTypeMigration().
    
    Removed obsolete and unused items:
    - FWOSPlugin library (driver is created directly)
    - Methods in classes CDM_Document dealing with unused parameters of format
    - DRAW command OCC23010 for testing non-reproducible issue 0023010
    - Methods PCDM::StorageDriver(), PCDM::FindStorageDriver()
    - Method Formats() from CDF_Application and descendants
    - Methods LoadExtensions and SchemaName from PCDM_StorageDriver
    - Method Plugin::AdditionalPluginMap()
    - Method BinLDrivers_DocumentStorageDriver::SchemaName()
    - Method CDF_Application::DefaultExtension(), Reader(), FindReader(), FindReaderFromFormat()
    - Method CDF_Store::Check()
(0055280)
abv (manager)
2016-06-21 10:14

Sergey, could you please review the fix in branch CR25812_6? See previous note for details.
(0055312)
git (administrator)
2016-06-21 17:19

Branch CR25812_6 has been updated forcibly by abv.

SHA-1: cd31c04c6330e3d2098ec5fd5054295159587d69
(0055327)
git (administrator)
2016-06-22 11:03

Branch CR25812_6 has been updated forcibly by abv.

SHA-1: 3f5e372d182b0e94219dd98451ef0f0ccbd647bd
(0055357)
git (administrator)
2016-06-23 07:29

Branch CR25812_6 has been updated forcibly by abv.

SHA-1: 7f5a4cfeaa743ce5b03f0ad1e7423beaf44d62a1
(0055393)
szy (developer)
2016-06-23 18:00

Reviewed.
Can be tested.
(0055398)
git (administrator)
2016-06-23 19:14

Branch CR25812_7 has been created by abv.

SHA-1: 6fe96f84167b195b2abb2bab776e40ba53983b33


Detailed log of new commits:

Author: abv
Date: Mon Jun 20 06:53:14 2016 +0300

    0025812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one
    
    Fields to store cached instances of reader and writer drivers for each format are added in CDF_Application.
    Method DefineFormat() is added in TDocStd_Application, allowing defining format completely by single call, including drivers to be used for persistence.
    All OCAF driver packages provide static method DefineFormat() that defines standard OCAF persistence format supported by corresponding package; these methods are called in DRAW to enable all persistence by default.
    
    DRAW commands (except TObj-specific ones) now use single instance of OCAF Application, returned by DDocStd::GetApplication(). Other instances are eliminated, as well as method DDocStd::Find(const Handle(TDocStd_Application)&).
    Method MessageDriver() and relevant field are moved to TDocStd_Application from its descendants.
    
    Method CDF_Application::ReaderFromFormat() is made virtual to allow its redefinition in descendants.
    Creation of storage driver is moved from PCDM::StorageDriver() to new virtual method CDF_Application::WriterFromFormat().
    The code loading driver as plugin is retained in both these methods for compatibility.
    
    Test command OCC24925 is converted to use virtual methods instead of defining plugin resource.
    
    Migration table for old OCAF types is hard-coded in Storage_Schema::CheckTypeMigration().
    
    Removed obsolete and unused items:
    - FWOSPlugin library (driver is created directly)
    - Methods in classes CDM_Document dealing with unused parameters of format
    - DRAW command OCC23010 for testing non-reproducible issue 0023010
    - Methods PCDM::StorageDriver(), PCDM::FindStorageDriver()
    - Method Formats() from CDF_Application and descendants
    - Methods LoadExtensions and SchemaName from PCDM_StorageDriver
    - Method Plugin::AdditionalPluginMap()
    - Method BinLDrivers_DocumentStorageDriver::SchemaName()
    - Method CDF_Application::DefaultExtension(), Reader(), FindReader(), FindReaderFromFormat()
    - Method CDF_Store::Check()
(0055462)
mkv (tester)
2016-06-24 17:15

Dear BugMaster,
Branches CR25812_7 and CR25812 are tested in #0027401 .

(0055479)
kgv (developer)
2016-06-25 18:29

There are still a couple of occurrences of FWOSPlugin which should be removed:
- adm\MODULES
- dox\dev_guides\tests\tests.md
- dox\user_guides\foundation_classes\foundation_classes.md
(0056130)
git (administrator)
2016-07-22 10:45

Branch CR25812_7 has been deleted by inv.

SHA-1: 6fe96f84167b195b2abb2bab776e40ba53983b33
(0056134)
git (administrator)
2016-07-22 10:45

Branch CR25812_6 has been deleted by inv.

SHA-1: 7f5a4cfeaa743ce5b03f0ad1e7423beaf44d62a1
(0056152)
git (administrator)
2016-07-22 10:46

Branch CR25812_5 has been deleted by inv.

SHA-1: c4c432528d1944323149c46625a710016fb536fe
(0056153)
git (administrator)
2016-07-22 10:46

Branch CR25812_4 has been deleted by inv.

SHA-1: 02cebd05dc70f58b9eb13f9698b5d5541d339102
(0056154)
git (administrator)
2016-07-22 10:46

Branch CR25812_3 has been deleted by inv.

SHA-1: c734667f059316d57aec5c4d6e8f3471b13984b3
(0056155)
git (administrator)
2016-07-22 10:46

Branch CR25812_2 has been deleted by inv.

SHA-1: 78796451ce4dea1d12f9a09664a04d925efdf840
(0056156)
git (administrator)
2016-07-22 10:46

Branch CR25812 has been deleted by inv.

SHA-1: f00663888162b1b0b6908298155b0744bb253c37

- Related Changesets
occt: master 6fe96f84
Timestamp: 2016-06-20 03:53:14
Author: abv
Committer: abv
Details ] Diff ]
0025812: Replace dynamic loading mechanism of OCAF persistence with dynamic-link one

Fields to store cached instances of reader and writer drivers for each format are added in CDF_Application.
Method DefineFormat() is added in TDocStd_Application, allowing defining format completely by single call, including drivers to be used for persistence.
All OCAF driver packages provide static method DefineFormat() that defines standard OCAF persistence format supported by corresponding package; these methods are called in DRAW to enable all persistence by default.

DRAW commands (except TObj-specific ones) now use single instance of OCAF Application, returned by DDocStd::GetApplication(). Other instances are eliminated, as well as method DDocStd::Find(const Handle(TDocStd_Application)&).
Method MessageDriver() and relevant field are moved to TDocStd_Application from its descendants.

Method CDF_Application::ReaderFromFormat() is made virtual to allow its redefinition in descendants.
Creation of storage driver is moved from PCDM::StorageDriver() to new virtual method CDF_Application::WriterFromFormat().
The code loading driver as plugin is retained in both these methods for compatibility.

Test command OCC24925 is converted to use virtual methods instead of defining plugin resource.

Migration table for old OCAF types is hard-coded in Storage_Schema::CheckTypeMigration().

Removed obsolete and unused items:
- FWOSPlugin library (driver is created directly)
- Methods in classes CDM_Document dealing with unused parameters of format
- DRAW command OCC23010 for testing non-reproducible issue 0023010
- Methods PCDM::StorageDriver(), PCDM::FindStorageDriver()
- Method Formats() from CDF_Application and descendants
- Methods LoadExtensions and SchemaName from PCDM_StorageDriver
- Method Plugin::AdditionalPluginMap()
- Method BinLDrivers_DocumentStorageDriver::SchemaName()
- Method CDF_Application::DefaultExtension(), Reader(), FindReader(), FindReaderFromFormat()
- Method CDF_Store::Check()
mod - adm/UDLIST Diff ] File ]
rm - dox/license.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Approx/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Chamfers/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Convert/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/DCA/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Extrema/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/GeomConstraints/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Glue/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/GProps/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/HLR/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Interpol/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Intersections/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/LProps/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Offset2d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/PointOnCurve/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Primitives/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Projection/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Simplify/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/SplitShape/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Sweep/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Tesselate/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/TexturesExt/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/ThruSections/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Transform/CMakeLists.txt Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/Validate/CMakeLists.txt Diff ] File ]
rm - samples/mfc/occtdemo/All/All.dsp Diff ] File ]
rm - samples/mfc/occtdemo/Approx/Approx.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Approx/Approx.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Chamfers/Chamfers.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Chamfers/Chamfers.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Convert/Convert.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Convert/Convert.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/DCA/DCA.dsp Diff ] File ]
mod - samples/mfc/occtdemo/DCA/DCA.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Extrema/Extrema.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Extrema/Extrema.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/GeomConstraints/GeomConstraints.dsp Diff ] File ]
mod - samples/mfc/occtdemo/GeomConstraints/GeomConstraints.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Glue/Glue.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Glue/Glue.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/GProps/GProps.dsp Diff ] File ]
mod - samples/mfc/occtdemo/GProps/GProps.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/HLR/HLR.dsp Diff ] File ]
mod - samples/mfc/occtdemo/HLR/HLR.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Interpol/Interpol.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Interpol/Interpol.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Intersections/Intersections.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Intersections/Intersections.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/LProps/LProps.dsp Diff ] File ]
mod - samples/mfc/occtdemo/LProps/LProps.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/OCCDemo.dsw Diff ] File ]
rm - samples/mfc/occtdemo/Offset2d/Offset2d.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Offset2d/Offset2d.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/PointOnCurve/PointOnCurve.dsp Diff ] File ]
mod - samples/mfc/occtdemo/PointOnCurve/PointOnCurve.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Primitives/Primitives.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Primitives/Primitives.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Projection/Projection.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Projection/Projection.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Simplify/Simplify.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Simplify/Simplify.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/SplitShape/SplitShape.dsp Diff ] File ]
mod - samples/mfc/occtdemo/SplitShape/SplitShape.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Sweep/Sweep.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Sweep/Sweep.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Tesselate/Tesselate.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Tesselate/Tesselate.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Textures/Textures.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Textures/Textures.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/TexturesExt/TexturesExt.dsp Diff ] File ]
mod - samples/mfc/occtdemo/TexturesExt/TexturesExt.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/ThruSections/ThruSections.dsp Diff ] File ]
mod - samples/mfc/occtdemo/ThruSections/ThruSections.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/TopLProps/TopLProps.dsp Diff ] File ]
mod - samples/mfc/occtdemo/TopLProps/TopLProps.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Transform/Transform.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Transform/Transform.vcproj Diff ] File ]
rm - samples/mfc/occtdemo/Validate/Validate.dsp Diff ] File ]
mod - samples/mfc/occtdemo/Validate/Validate.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc11/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc12/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc8/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc9/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc11/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc12/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc8/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc9/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc11/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc12/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc8/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc9/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc11/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc12/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc8/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc9/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/res/Plugin Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc11/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc12/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc8/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc9/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc11/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc12/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc8/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc9/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc11/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc12/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc8/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc9/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc11/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc12/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc8/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc9/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]
mod - src/AppStd/AppStd_Application.cxx Diff ] File ]
mod - src/AppStd/AppStd_Application.hxx Diff ] File ]
mod - src/AppStdL/AppStdL_Application.cxx Diff ] File ]
mod - src/AppStdL/AppStdL_Application.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers.hxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.hxx Diff ] File ]
mod - src/CDF/CDF_Application.cxx Diff ] File ]
mod - src/CDF/CDF_Application.hxx Diff ] File ]
rm - src/CDF/CDF_Application.lxx Diff ] File ]
mod - src/CDF/CDF_Session.cxx Diff ] File ]
mod - src/CDF/CDF_Store.cxx Diff ] File ]
mod - src/CDF/CDF_Store.hxx Diff ] File ]
mod - src/CDF/CDF_StoreList.cxx Diff ] File ]
mod - src/CDF/FILES Diff ] File ]
mod - src/CDM/CDM_Application.hxx Diff ] File ]
mod - src/CDM/CDM_Document.cxx Diff ] File ]
mod - src/CDM/CDM_Document.hxx Diff ] File ]
mod - src/DDocStd/DDocStd.cxx Diff ] File ]
mod - src/DDocStd/DDocStd.hxx Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd.cxx Diff ] File ]
rm - src/FWOSDriver/FILES Diff ] File ]
rm - src/FWOSDriver/FWOSDriver.cxx Diff ] File ]
rm - src/FWOSDriver/FWOSDriver.hxx Diff ] File ]
rm - src/FWOSDriver/FWOSDriver_DriverFactory.cxx Diff ] File ]
rm - src/FWOSDriver/FWOSDriver_DriverFactory.hxx Diff ] File ]
rm - src/FWOSPlugin/CMakeLists.txt Diff ] File ]
rm - src/FWOSPlugin/EXTERNLIB Diff ] File ]
rm - src/FWOSPlugin/FILES Diff ] File ]
rm - src/FWOSPlugin/PACKAGES Diff ] File ]
mod - src/OS/ApplicationFramework.tcl Diff ] File ]
mod - src/PCDM/PCDM.cxx Diff ] File ]
mod - src/PCDM/PCDM.hxx Diff ] File ]
mod - src/PCDM/PCDM_StorageDriver.cxx Diff ] File ]
mod - src/PCDM/PCDM_StorageDriver.hxx Diff ] File ]
mod - src/Plugin/Plugin.cxx Diff ] File ]
mod - src/Plugin/Plugin.hxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/StdDrivers/StdDrivers.cxx Diff ] File ]
mod - src/StdDrivers/StdDrivers.hxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers.hxx Diff ] File ]
mod - src/StdResource/Plugin Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.hxx Diff ] File ]
mod - src/TKDCAF/EXTERNLIB Diff ] File ]
mod - src/TKQADraw/EXTERNLIB Diff ] File ]
mod - src/TKTObjDRAW/EXTERNLIB Diff ] File ]
mod - src/TKXDEDRAW/EXTERNLIB Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/TObj/TObj_Application.hxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/TObjDRAW/TObjDRAW.cxx Diff ] File ]
mod - src/XCAFApp/XCAFApp_Application.cxx Diff ] File ]
mod - src/XCAFApp/XCAFApp_Application.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers.hxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers.cxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers.hxx Diff ] File ]
mod - tests/bugs/caf/bug27454 Diff ] File ]
mod - tests/bugs/xde/bug23010 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-10 14:51 ibs New Issue
2015-02-10 14:51 ibs Assigned To => ibs
2015-02-10 14:56 git Note Added: 0037287
2015-02-10 14:57 ibs Description Updated View Revisions
2015-02-10 15:01 ibs Assigned To ibs => dln
2015-02-10 15:01 ibs Status new => assigned
2015-02-10 15:07 ibs Relationship added related to 0023639
2015-02-10 15:34 dln Note Added: 0037289
2015-03-26 10:15 git Note Added: 0038900
2015-03-26 11:02 git Note Added: 0038901
2015-03-26 11:27 git Note Added: 0038902
2015-03-26 11:37 git Note Added: 0038903
2015-03-26 13:39 git Note Added: 0038913
2015-03-30 07:32 git Note Added: 0038964
2015-03-30 12:52 git Note Added: 0038976
2015-03-31 08:58 git Note Added: 0039006
2015-03-31 10:16 dln Note Added: 0039007
2015-03-31 10:16 dln Assigned To dln => msv
2015-03-31 16:06 msv Assigned To msv => szy
2015-05-20 15:20 szy Relationship added child of 0024927
2015-05-20 17:23 szy Note Added: 0041328
2015-05-20 18:38 git Note Added: 0041338
2015-05-21 14:26 git Note Added: 0041382
2015-05-21 14:28 szy Assigned To szy => vro
2015-05-21 14:28 szy Status assigned => resolved
2015-05-21 14:28 szy Steps to Reproduce Updated View Revisions
2015-05-22 06:41 vro Assigned To vro => bugmaster
2015-05-22 06:41 vro Status resolved => reviewed
2015-05-22 15:40 apv Assigned To bugmaster => apv
2015-05-22 16:07 apv Note Added: 0041443
2015-05-22 16:07 apv Assigned To apv => szy
2015-05-22 16:07 apv Status reviewed => assigned
2015-05-22 19:14 git Note Added: 0041463
2015-05-22 19:15 szy Note Added: 0041464
2015-05-22 19:15 szy Status assigned => resolved
2015-05-22 19:15 szy Note Added: 0041465
2015-05-22 19:15 szy Assigned To szy => bugmaster
2015-05-22 19:15 szy Status resolved => reviewed
2015-05-22 20:13 mkv Assigned To bugmaster => mkv
2015-05-25 11:35 mkv Note Added: 0041481
2015-05-25 11:35 mkv Assigned To mkv => szy
2015-05-25 11:35 mkv Status reviewed => assigned
2015-05-25 11:35 mkv Test case number => Not needed
2015-05-25 18:47 git Note Added: 0041529
2015-05-27 16:31 git Note Added: 0041612
2015-05-27 16:32 szy Assigned To szy => abv
2015-05-27 16:32 szy Status assigned => resolved
2015-05-29 17:21 szy Additional Information Updated View Revisions
2015-06-01 15:02 szy Note Added: 0041787
2015-06-01 15:02 szy Assigned To abv => mkv
2015-06-01 15:02 szy Status resolved => reviewed
2015-06-01 20:48 git Note Added: 0041820
2015-06-02 16:46 mkv Note Added: 0041856
2015-06-02 16:47 mkv Note Added: 0041857
2015-06-02 16:47 mkv Assigned To mkv => szy
2015-06-02 16:47 mkv Status reviewed => assigned
2015-06-08 17:21 git Note Added: 0042034
2015-06-08 17:22 szy Status assigned => resolved
2015-06-08 17:23 szy Note Added: 0042035
2015-06-08 17:23 szy Assigned To szy => mkv
2015-06-08 17:23 szy Status resolved => reviewed
2015-06-08 18:05 git Note Added: 0042039
2015-06-09 17:28 szy Relationship added parent of 0026285
2015-06-09 17:41 mkv Note Added: 0042062
2015-06-09 17:41 mkv Assigned To mkv => szy
2015-06-09 17:41 mkv Status reviewed => assigned
2015-06-09 17:41 mkv Note Added: 0042063
2015-06-09 17:42 git Note Added: 0042064
2015-06-18 19:16 git Note Added: 0042244
2015-06-18 19:18 szy Status assigned => resolved
2015-06-18 19:26 szy Note Added: 0042245
2015-06-18 19:26 szy Assigned To szy => mkv
2015-06-18 19:26 szy Status resolved => reviewed
2015-06-19 11:51 mkv Note Added: 0042258
2015-06-19 11:51 mkv Assigned To mkv => szy
2015-06-19 11:51 mkv Status reviewed => feedback
2015-06-19 12:39 szy Note Added: 0042262
2015-06-19 12:39 szy Assigned To szy => mkv
2015-06-19 12:39 szy Status feedback => assigned
2015-06-19 14:21 mkv Assigned To mkv => szy
2015-06-19 14:21 mkv Status assigned => feedback
2015-06-19 18:49 szy Note Added: 0042282
2015-06-19 18:49 szy Assigned To szy => mkv
2015-06-19 18:49 szy Status feedback => reviewed
2015-06-22 11:40 mkv Assigned To mkv => szy
2015-06-22 11:40 mkv Status reviewed => feedback
2015-06-22 15:45 git Note Added: 0042316
2015-06-22 15:46 szy Status feedback => resolved
2015-06-22 15:46 szy Steps to Reproduce Updated View Revisions
2015-06-22 15:46 szy Assigned To szy => mkv
2015-06-22 15:46 szy Status resolved => reviewed
2015-06-22 15:48 szy Note Added: 0042317
2015-06-23 11:54 mkv Note Added: 0042337
2015-06-23 11:54 mkv Assigned To mkv => szy
2015-06-23 11:54 mkv Status reviewed => assigned
2015-06-25 17:52 git Note Added: 0042457
2015-06-25 17:53 szy Status assigned => resolved
2015-06-25 17:53 szy Steps to Reproduce Updated View Revisions
2015-06-25 17:54 szy Note Added: 0042458
2015-06-25 17:54 szy Assigned To szy => mkv
2015-06-25 17:54 szy Status resolved => reviewed
2015-06-25 19:04 git Note Added: 0042465
2015-06-26 16:18 mkv Note Added: 0042498
2015-06-26 16:19 mkv Note Added: 0042499
2015-06-26 16:19 mkv Assigned To mkv => szy
2015-06-26 16:19 mkv Status reviewed => assigned
2015-06-29 18:00 szy Status assigned => resolved
2015-06-29 18:00 szy Steps to Reproduce Updated View Revisions
2015-06-29 18:01 szy Note Added: 0042564
2015-06-29 18:01 szy Assigned To szy => mkv
2015-06-29 18:01 szy Status resolved => reviewed
2015-06-29 18:42 git Note Added: 0042568
2015-06-29 19:22 mkv Note Added: 0042570
2015-06-29 19:22 mkv Assigned To mkv => szy
2015-06-29 19:22 mkv Status reviewed => assigned
2015-06-30 18:30 git Note Added: 0042613
2015-06-30 18:31 szy Status assigned => resolved
2015-06-30 18:31 szy Steps to Reproduce Updated View Revisions
2015-06-30 18:32 szy Note Added: 0042614
2015-06-30 18:32 szy Assigned To szy => mkv
2015-06-30 18:32 szy Status resolved => reviewed
2015-07-01 11:36 mkv Note Added: 0042631
2015-07-01 11:36 mkv Assigned To mkv => szy
2015-07-01 11:36 mkv Status reviewed => assigned
2015-07-01 18:21 git Note Added: 0042645
2015-07-01 18:28 szy Status assigned => resolved
2015-07-01 18:28 szy Steps to Reproduce Updated View Revisions
2015-07-01 18:29 szy Note Added: 0042646
2015-07-01 18:29 szy Assigned To szy => mkv
2015-07-01 18:29 szy Status resolved => reviewed
2015-07-01 18:52 apv Assigned To mkv => apv
2015-07-02 14:54 apv Note Added: 0042676
2015-07-02 14:54 apv Assigned To apv => bugmaster
2015-07-02 14:54 apv Status reviewed => tested
2015-07-02 16:04 bugmaster Note Added: 0042679
2015-07-02 16:04 bugmaster Assigned To bugmaster => abv
2015-07-02 16:04 bugmaster Status tested => feedback
2015-08-19 12:49 abv Relationship added related to 0026491
2015-12-14 22:39 abv Target Version 7.0.0 => 7.1.0
2016-04-11 14:38 kgv Relationship added related to 0027364
2016-06-12 19:05 abv Relationship added has duplicate 0027401
2016-06-21 08:57 git Note Added: 0055273
2016-06-21 10:14 abv Note Added: 0055280
2016-06-21 10:14 abv Assigned To abv => mpv
2016-06-21 10:14 abv Status feedback => resolved
2016-06-21 10:14 abv Steps to Reproduce Updated View Revisions
2016-06-21 17:19 git Note Added: 0055312
2016-06-22 11:03 git Note Added: 0055327
2016-06-22 11:31 abv Assigned To mpv => szy
2016-06-23 07:29 git Note Added: 0055357
2016-06-23 09:30 abv Relationship added related to 0024925
2016-06-23 18:00 szy Note Added: 0055393
2016-06-23 18:00 szy Assigned To szy => bugmaster
2016-06-23 18:00 szy Status resolved => reviewed
2016-06-23 19:04 mkv Assigned To bugmaster => mkv
2016-06-23 19:14 git Note Added: 0055398
2016-06-24 17:15 mkv Note Added: 0055462
2016-06-24 17:15 mkv Assigned To mkv => bugmaster
2016-06-24 17:15 mkv Status reviewed => tested
2016-06-25 18:29 kgv Note Added: 0055479
2016-07-01 17:19 abv Changeset attached => occt master 6fe96f84
2016-07-01 17:20 abv Assigned To bugmaster => abv
2016-07-01 17:20 abv Status tested => verified
2016-07-01 17:20 abv Resolution open => fixed
2016-07-22 10:45 git Note Added: 0056130
2016-07-22 10:45 git Note Added: 0056134
2016-07-22 10:46 git Note Added: 0056152
2016-07-22 10:46 git Note Added: 0056153
2016-07-22 10:46 git Note Added: 0056154
2016-07-22 10:46 git Note Added: 0056155
2016-07-22 10:46 git Note Added: 0056156
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker